| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::CompositorLogic Class Reference
Core » Effects

Interface for compositor logics, which can be automatically binded to compositors, allowing per-compositor logic (such as attaching a relevant listener) to happen automatically. More...

`#include <OgreCompositorLogic.h>`

## Public Member Functions
virtual | ~CompositorLogic ()
virtual void | compositorInstanceCreated (CompositorInstance *newInstance)
| Called when a compositor instance has been created. More...
virtual void | compositorInstanceDestroyed (CompositorInstance *destroyedInstance)
| Called when a compositor instance has been destroyed. More...

## Detailed Description

Interface for compositor logics, which can be automatically binded to compositors, allowing per-compositor logic (such as attaching a relevant listener) to happen automatically.

Remarks
  All methods have empty implementations to not force an implementer into extending all of them.

## Constructor & Destructor Documentation

## ◆ ~CompositorLogic()

virtual Ogre::CompositorLogic::~CompositorLogic | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ compositorInstanceCreated()

virtual void Ogre::CompositorLogic::compositorInstanceCreated | ( | CompositorInstance * | newInstance | ) |
| inline virtual

Called when a compositor instance has been created.

Remarks
  This happens after its setup was finished, so the chain is also accessible. This is an ideal method to automatically attach a compositor listener.

## ◆ compositorInstanceDestroyed()

virtual void Ogre::CompositorLogic::compositorInstanceDestroyed | ( | CompositorInstance * | destroyedInstance | ) |
| inline virtual

Called when a compositor instance has been destroyed.

Remarks
  The chain that contained the compositor is still alive during this call.

The documentation for this class was generated from the following file:

- OgreCompositorLogic.h